/*** Fonts ***/

/* Font light */
@font-face {
    font-family: "vazir";
    src: url("../fonts/vazir/Vazir-Light.woff");
    font-weight: 300;
}

/* Font Normal */
@font-face {
    font-family: "vazir";
    src: url("../fonts/vazir/Vazir.woff");
    font-weight: 400;
}

/* Font Bold */
@font-face {
    font-family: "vazir";
    src: url("../fonts/vazir/Vazir-Medium.woff");
    font-weight: 500;
}

/* Font Medium */
@font-face {
    font-family: "vazir";
    src: url("../fonts/vazir/Vazir-Bold.woff");
    font-weight: 700;
}

html {
    overflow-x: hidden !important;
    scroll-behavior: smooth;
}

body {
    font-family: "vazir";
    overflow-x: hidden !important;
}

.shadow-03 {
    box-shadow: 4px 2px 14px rgba(0, 0, 0, 0.3);
}

.shadow-02 {
    box-shadow: 0px 0px 16px rgba(0, 0, 0, 0.12);
}

.shadow-01 {
    box-shadow: 0px 0px 12px rgba(0, 0, 0, 0.1);
}

/* header */
.search-form {
    border: 1px solid #dedede;
    background: #f2f2f2;
    width: 224px;
    height: 32px;
    padding: 4px 16px;
    gap: 8px;
    border-radius: 8px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    transition: 0.3s ease;
}

.side-bar {
    z-index: 999;
    transition: 0.5s cubic-bezier(0.075, 0.82, 0.165, 1);
}

.side-bar.active {
    right: 0;
}

.sidebar-nav-list li,
.sidebar-submenu li,
.submenu li {
    transition: 0.3s ease;
}

.sidebar-nav-list li.active,
.sidebar-submenu li.acitve,
.submenu li.active,
.submenu li:hover {
    background: #e4eaed;
}

.ds-list-item-has-submenu ul {
    display: none;
}

.ds-list-item-has-submenu:hover.ds-list-item-has-submenu ul {
    display: block;
}

/* main */

/* hero section */
.hero-swiper .slide-bg.first {
    background: url("../images/quran.png") no-repeat center right / cover !important;
}
.hero-swiper .slide-bg.second {
    background: url("../images/quran.png") no-repeat center right / cover !important;
}
.hero-swiper .slide-bg.third {
    background: url("../images/quran.png") no-repeat center right / cover !important;
}
.hero-swiper .slide-bg.fourth {
    background: url("../images/quran.png") no-repeat center right / cover !important;
}

.hero-swiper .swiper-pagination-bullet {
    width: 16px;
    height: 16px;
    background-color: #dedede;
    opacity: 0.7;
}

.hero-swiper .swiper-pagination-bullet-active {
    border: 2px solid #0071c5;
}

/* tabs & sliders */
.tab-btn.active {
    background: #fdfdfd;
    box-shadow: 0px 0px 16px rgba(0, 0, 0, 0.12);
    color: #0071c5;
    font-size: 16px;
    border-radius: 8px;
}

.about .tab-btn.active {
    background: #fdfdfd;
    box-shadow: 0px 0px 16px rgba(0, 0, 0, 0.12);
    color: #333333;
    border-radius: 8px;
}

.elmo-din-swiper .swiper-slide-active,
.maks-swiper .swiper-slide-active,
.radio-fekrat-swiper .swiper-slide-active {
    border: 1px solid #ff8c00;
}

.tab-content-has-bg::before {
    content: "";
    width: 99vw;
    height: 450px;
    background: #dedede;
    position: absolute;
    top: 21%;
    /* z-index: -1; */
    /* display: none; */
}

.tab-content-has-bg.right::before {
    border-radius: 16px 0 0 16px;
    right: 0;
}

.tab-content-has-bg.left::before {
    background: #e4eaed;
    border-radius: 0 16px 16px 0;
    left: 0;
}

.tab-content-has-bg.mm-page::before {
    top: 21%;
}

/* special case */
.shadow-img-wrapper::before {
    content: "";
    position: absolute;
    right: 0;
    top: 0;
    width: 30%;
    height: 100%;
    background: linear-gradient(to left, #f2f2f2, transparent);
}

/* fekrat school */
.fekrat-bg {
    background: url("../images/fekrat_school.jpg") no-repeat;

    background-size: cover;
}

/*** weblog ***/
.pg-btn.active {
    background: #0071c5;
    color: #fdfdfd;
}

.comment-input ~ div {
    transition: 0.2s ease;
}

.comment-input:focus ~ div {
    transform: translateY(-10px);
}

/*** contact ***/
.contact-input:has(> input:focus),
.contact-input:has(> textarea:focus) {
    border: 1px solid #0071c5;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type="number"] {
    -moz-appearance: textfield;
}

/*** signin - login ***/
.signup-t-btn.active,
.login-t-btn.active {
    color: #0071c5;
    border-bottom: 1px solid #0071c5;
}

.signup-input:focus ~ label {
    font-size: 12px;
    color: #333;
    transform: translateY(-25px);
}

.agree-w-conditions input:checked ~ label {
    background: #ff8c00;
}

.signin-submit-btn.active {
    transition: 0.3s ease;
    background: #0071c5;
}

.signin-submit-btn.active.active:hover {
    box-shadow: 0 20px 20px #0070c56c;
}

.signin-submit-btn:not(.active) {
    cursor: not-allowed;
}

/* multi media */
.loader {
    border: 5px solid transparent;
    border-radius: 50%;
    border-top: 5px solid #0071c5;
    border-right: 5px solid #0071c5;
    width: 38px;
    height: 38px;
    -webkit-animation: spin 2s linear infinite; /* Safari */
    animation: spin 2s linear infinite;
    transform: scale(0.5);
}

.mm-item:hover {
    box-shadow: 4px 2px 14px rgba(0, 0, 0, 0.3);
}

.autoplay-toggler > div.active {
    transform: translateX(82%);
}

/* profile */
.profile-nav-item.active {
    background: #f2f2f2;
}

/* dideban */
.pages-wrapper {
    transition: 0.3s cubic-bezier(0.075, 0.82, 0.165, 1);
}

.pages-wrapper.active {
    right: 0%;
}

.mag-modal {
    transition: 0.3s cubic-bezier(0.075, 0.82, 0.165, 1);
    top: 100%;
}

.mag-modal.active {
    left: 0;
    top: 0;
}

.pdf-btn:hover {
    box-shadow: 0 10px 0 #0070c556;
}

/* Safari */
@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

/* puls animation */
@keyframes puls {
    0% {
        transform: scale(0.95);
        box-shadow: 0 0 0 0 rgba(0, 113, 197, 0.5);
    }

    100% {
        transform: scale(1);
        box-shadow: 0 0 0 10px rgba(0, 0, 0, 0);
    }
}

.see-more:hover > button,
.see-more:hover > a,
.submit-btn:hover {
    animation: puls 0.3s forwards;
}

@media only screen and (max-width: 1024px) {
    .search-form {
        all: unset;
        transition: 0.3s ease;
    }

    .search-form.active {
        border: 1px solid #dedede;
        background: #f2f2f2;
        width: 95%;
        height: 32px;
        padding: 4px 16px;
        gap: 8px;
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
        border-radius: 8px;

        display: flex;
        align-items: center;
        justify-content: space-between;
    }
}

@media only screen and (max-width: 786px) {
    .search-form.active {
        width: 93%;
    }
}

@media only screen and (max-width: 440px) {
    .tab-content-has-bg::before {
        top: 21%;
        height: 500px;
    }
}

@media only screen and (max-width: 420px) {
    .search-form.active {
        width: 85%;
    }
}

/* @media only screen and (max-width: 375px) {
    .tab-content-has-bg::before {
        height: 500px;
    }
} */

/* min width */
@media only screen and (min-width: 769px) {
    .hero-swiper.non-bg .swiper-pagination {
        bottom: var(--swiper-pagination-bottom, 30px) !important;
    }
}
@media only screen and (min-width: 1024px) {
    .hero-swiper .slide-bg {
        background-position: center center;
    }

    .hero-swiper .swiper-pagination {
        bottom: var(--swiper-pagination-bottom, 8px) !important;
    }

    .tab-content-has-bg.right::before {
        border-radius: 48px 0 0 48px;
    }

    .tab-content-has-bg.left::before {
        border-radius: 0 48px 48px 0;
    }

    .case-items > div,
    .suggestion-items > div {
        transition: 0.3s ease;
    }

    .case-items > div:not(.see-more):hover {
        transform: translateX(10px);
    }

    .suggestion-items > div:not(.see-more):hover {
        box-shadow: 4px 2px 14px rgba(0, 0, 0, 0.3);
    }

    .about .tab-btn.active {
        all: unset;
        font-size: 14px;
        color: #0071c5;
        font-weight: bold;
    }
}
